% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lmtp-package.R
\docType{package}
\name{lmtp-package}
\alias{lmtp}
\alias{lmtp-package}
\title{lmtp: Non-Parametric Causal Effects of Feasible Interventions Based on Modified Treatment Policies}
\description{
Non-parametric estimators for casual effects based on longitudinal modified treatment policies as described in Diaz, Williams, Hoffman, and Schenck \doi{10.1080/01621459.2021.1955691}, traditional point treatment, and traditional longitudinal effects. Continuous, binary, categorical treatments, and multivariate treatments are allowed as well are censored outcomes. The treatment mechanism is estimated via a density ratio classification procedure irrespective of treatment variable type. For both continuous and binary outcomes, additive treatment effects can be calculated and relative risks and odds ratios may be calculated for binary outcomes.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://beyondtheate.com/}
  \item \url{https://github.com/nt-williams/lmtp}
  \item Report bugs at \url{https://github.com/nt-williams/lmtp/issues}
}

}
\author{
\strong{Maintainer}: Nicholas Williams \email{ntwilliams.personal@gmail.com} (\href{https://orcid.org/0000-0002-1378-4831}{ORCID}) [copyright holder]

Authors:
\itemize{
  \item Iván Díaz \email{Ivan.Diaz@nyulangone.org} (\href{https://orcid.org/0000-0001-9056-2047}{ORCID}) [copyright holder]
}

}
\keyword{internal}
